%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Lightweight video thumbnailer
Name:		ffmpegthumbnailer
Version:	2.0.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
URL:		http://code.google.com/p/ffmpegthumbnailer/
Source0:	http://ffmpegthumbnailer.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	ffmpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This video thumbnailer can be used by file managers to 
create thumbnails for your video files. The thumbnailer 
uses ffmpeg to decode frames from the video files, so 
supported videoformats depend on the configuration 
flags of ffmpeg.

This thumbnailer was designed to be as fast and 
lightweight as possible.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Video
Obsoletes:	%{mklibname %{name} 2}

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -rf %{buildroot}%{_libdir}/libffmpegthumbnailer.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/ffmpegthumbnailer
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Feb 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.6-1mdv2011.0
+ Revision: 637383
- update to new version 2.0.6

* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.4-1mdv2011.0
+ Revision: 574024
- update to new version 2.0.4

* Tue Aug 17 2010 Matthew Dawkins <mattydaw@mandriva.org> 2.0.2-2mdv2011.0
+ Revision: 571031
- added the devel pkgs missing requires for the lib

* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.2-1mdv2011.0
+ Revision: 550111
- update to new version 2.0.2

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-1mdv2010.1
+ Revision: 539178
- update to new version 2.0.1

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 504461
- New version 2.0.0

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.5.6-2mdv2010.1
+ Revision: 492242
- rebuild for new libjpeg v8

* Wed Dec 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.6-1mdv2010.1
+ Revision: 481825
- update to new version 1.5.6

* Sun Sep 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.5-1mdv2010.0
+ Revision: 449666
- update to new version 1.5.5

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 1.5.4-2mdv2010.0
+ Revision: 419752
- rebuild for new libjpeg v7

* Wed Jun 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.4-1mdv2010.0
+ Revision: 388889
- update to new version 1.5.4

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.3-1mdv2010.0
+ Revision: 385167
- update to new version 1.5.3

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.2-1mdv2010.0
+ Revision: 381317
- update to new version 1.5.2

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0-1mdv2010.0
+ Revision: 369905
- update to new version 1.5.0
- drop patch0, merged upstream

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-2mdv2009.1
+ Revision: 349229
- Patch0: fix compiling against latest ffmpeg

* Thu Jan 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 332671
- update to new version 1.4.0.
- bump major

* Mon Oct 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-2mdv2009.1
+ Revision: 293336
- rebuild against new ffmpeg

* Mon Sep 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-1mdv2009.1
+ Revision: 286691
- fix file list
- update to new version 1.3.0

* Wed Jul 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.6-1mdv2009.0
+ Revision: 230759
- update to new version 1.2.6

* Fri May 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.5-1mdv2009.0
+ Revision: 200454
- new version

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.4-1mdv2009.0
+ Revision: 195490
- new version

* Thu Feb 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.2-1mdv2008.1
+ Revision: 175956
- ffmpegthumbnailer provides now a standalone library, libify it then
- add missing buildrequires on libjpeg-devel
- new version

* Wed Feb 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.4-2mdv2008.1
+ Revision: 166900
- rebuild against new ffmpeg

* Sat Jan 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.4-1mdv2008.1
+ Revision: 158381
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.3-1mdv2008.0
+ Revision: 65409
- Import ffmpegthumbnailer

